* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    border: none
}
body, html {
    height: 100%;
    font-family: "DM Sans", sans-serif;
    color: var(--negro);
    font-size: 10px;
    font-weight: 400;
}

main {
    min-height: 45rem;
}

*:focus {
    box-shadow: 0 0 0 0 rgba(255,255,255,0) !important;
    outline: 0px !important;
    border-color: transparent;
}

:root {
    --gris-claro: #f6f6f6;
    --gris-medio: #c4c4c4;
    --gris-oscuro: #898c8d;
    --gris-footer: #343434;
    --negro: #131a1c;
    --blanco: #ffffff;
    --rojo: #e30613;
    --azul: rgb(16, 60, 203);
    --estherRamos: #1f92ce;
    --estherRamos-claro: #19a3eb;
}

a {
    font-size: inherit;
    color: inherit;
    text-decoration: none;
}
a:active, a:focus,
.dropdown-item:focus, .dropdown-item:hover {
    font-size: inherit;
    color: inherit;
    text-decoration: none;
    background-color: transparent;
}

.container {
    width: 100% !important;
    max-width: 1470px;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
}

a:hover {
    color: inherit;
    cursor: pointer;
    text-decoration: none;
}
a.underline {
    text-decoration: underline;
}

ul, li {
    list-style: none;
    padding: 0;
    margin: 0;
}

p, ul, li, form, label, input, .form-control, .form-select {
    font-size: 1.6rem;
}

.bold {
    font-weight: 700;
}

.modal-header {
    border-bottom-color: var(--estherRamos);
}
.modal-header h4 {
    font-size: 2.5rem;
    font-weight: 400;
    color: var(--estherRamos);
}
.modal-content {
    border-radius: 0;
}
.modal-body {
    border-radius: 0;
}
.modal-footer {
    border-top: 0;
}
.modal .btn-close {
    background-size: 1.5rem;
}

.success, .success-sel {
    background-color: #f3ffee !important;
}
.error, .error-sel {
    background-color: #ffeff0 !important;
}
.missat, .missatgi {
    color: var(--rojo);
    font-size: 1.3rem !important;
}
.missat-error {
    color: var(--rojo);
    font-size: 1.5rem !important;
}

.btn-estherRamos {
    background-color: var(--estherRamos);
    color: var(--blanco);
    padding: 0.8rem 5rem;
    font-size: 2rem;
}
.btn-estherRamos:hover,
.btn-estherRamos:focus,
.btn-estherRamos:active {
    background-color: var(--estherRamos-claro);
    color: var(--blanco);
    transition: background .3s ease-in-out;
    font-size: 2rem;
}
.btn-modal.btn-aceptar {
    background-color: var(--estherRamos);
    color: var(--blanco);
    padding: 0.8rem 5rem;
    font-size: 1.5rem;
}
.btn-modal.btn-aceptar:hover,
.btn-modal.btn-aceptar:focus,
.btn-modal.btn-aceptar:active {
    font-size: 1.5rem;
}
.btn-modal.btn-cerrar {
    border: 1px solid var(--gris-claro);
    background-color: var(--gris-claro);
    color: var(--gris-oscuro);
    padding: 0.8rem 4rem;
    font-size: 1.5rem;
}

.scrollup {
    width: 40px;
    height: 40px;
    opacity: 0.3;
    position: fixed;
    bottom:20px;
    right:30px;
    display: none;
    text-indent: -9999px;
    background: url(../img/content/icon_top.png) no-repeat;
    background-size: 40px 40px;
}



/* CUSTOM CHECKBOXES */
.custom-checkbox {
    display: block;
    position: relative;
    padding-left: 30px;
    margin-bottom: 2rem;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.custom-checkbox a {
    font-weight: 700;
    text-decoration: underline;
}
.custom-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 2rem;
    width: 2rem;
    border: 1px solid var(--negro);
    background-color: var(--blanco);
    margin-top: 0.2rem;
}

.custom-checkbox input:checked ~ .checkmark {
    background-color: #0075ff;
    border: 1px solid #0075ff;
}
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}
.custom-checkbox input:checked ~ .checkmark:after {
    display: block;
}
.custom-checkbox .checkmark:after {
    left: 7px;
    top: 2px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}
/**/


/* HEADER */
header {
    background: rgb(1,74,112);
    background: linear-gradient(0deg, rgba(6,86,128,1) 0%, rgba(1,74,112,1) 100%);
    padding-top: 4rem;
}
header img.logo {
    height: 3.5rem;
    display: block;
    margin-top: auto;
}
header .openMenuIcon {
    background: transparent;
    border: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 4px;
    height: 100%;
    margin-left: auto;
}
header .openMenuIcon span {
    height: 2px;
    width: 25px;
    background-color: var(--blanco);
}
header .offcanvas-xl ul.language {
    display: flex;
    gap: 1.5rem;
    margin-bottom: 2rem;
    color: var(--blanco);
}
header .offcanvas-xl ul.language li.active,
header .offcanvas-xl ul.language li a:hover {
    text-decoration: underline;
}
header .offcanvas-xl ul.language li a {
    font-size: 1.4rem;
}
header .offcanvas-xl ul.language li.tel {
    margin-right: 3rem;
}


/* FOOTER */
footer {
    background-color: var(--gris-footer);
    color: var(--blanco);
}
footer .container {
    padding-top: 5rem;
    padding-bottom: 3rem;
}
footer .footerLogo {
    text-align: center;
}
footer .footerLogo img {
    height: 4rem;
    filter: brightness(0) invert(1);
    margin-bottom: 4rem;
}
footer ul {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 1.5rem;
    font-size: 1.4rem;
    line-height: 2.6rem;
    margin-bottom: 4rem;
}
footer a {
    font-size: 1.4rem;
}
footer a:active, footer a:focus, footer a:hover, footer a.active {
    font-size: 1.4rem;
    text-decoration: underline;
}

.subfooter .legal {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    padding-bottom: 3rem;
    color: var(--gris-oscuro);
}
.subfooter .legal .kitDigital,
.subfooter .legal .legalLinks {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1rem 3rem;
    margin-bottom: 1.5rem;
}
.subfooter .legal img {
    height: 3.5rem;
}
.subfooter .legal a {
    font-size: 1.5rem;
    margin-bottom: 0;
}
.subfooter .legal a:hover {
    text-decoration: underline;
}
.subfooter .legal .numon img {
    height: 1.4rem;
}

.banner {
    background: rgb(1,74,112);
    background: linear-gradient(0deg, rgba(31,146,206,1) 0%, rgba(6,86,128,1) 100%);
    padding-top: 7rem;
}


/* HOME */
.homeBanner {
    text-align: center;
    padding-bottom: 15rem;
}
h1 {
    font-family: "Merriweather", serif;
    font-weight: 300;
    font-size: 4rem;
    margin-bottom: 1.5rem;
    color: var(--blanco);
}
.subtitle {
    font-size: 1.8rem;
    color: var(--blanco);
}
.homeDescription {
    margin-top: -10rem;
}
.homeDescription .description {
    position: relative;
    display: grid;
    grid-template-rows: auto 1fr;
    background-color: var(--blanco);
    padding: 2rem;
    border-bottom: 1px solid var(--gris-medio);
    justify-items: center;
}
.homeDescription .description::before {
    content: '';
    background-color: var(--estherRamos-claro);
    width: 3.3rem;
    height: 6rem;
    position: absolute;
    left: 4rem;
    top: -2rem;
}
.homeDescription .description img {
    max-width: 100%;
}
.homeDescription .description .infoText {
    padding-top: 3rem;
}
.homeDescription .description .infoText h2 {
    display: flex;
    font-family: "Merriweather", serif;
    font-size: 2rem;
    line-height: 3rem;
    color: var(--estherRamos);
    margin-bottom: 2rem;
}
.homeSubheader {
    padding: 7rem 0;
}
.homeSubheader h2 {
    text-align: center;
    font-weight: 500;
    color: var(--estherRamos);
    font-size: 2.5rem;
    margin-bottom: 0;
    letter-spacing: .5rem;
}
.homeSubheader p {
    text-align: center;
    font-weight: 700;
    font-size: 2.5rem;
}
.homeSubheader::after {
    content: '';
    display: block;
    margin: 0 auto;
    width: 100px;
    height: 4px;
    background-color: var(--estherRamos);
}
.homeServices {
    background-color: var(--gris-claro);
    margin-top: 7rem;
    padding-bottom: 10rem;
}
.homeServices .col {
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
    justify-content: center;
    margin-top: -7rem;
}
.homeServices .service {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: calc(50% - 5rem);
}
.homeServices .service .imgWrapper {
    background-color: var(--blanco);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2rem;
    border-radius: 50%;
    aspect-ratio: 1/1;
    width: 14rem;
    height: 14rem;
    margin-bottom: 2rem;
}
.homeServices .service img {
    height: 8rem;
}
.homeServices .service p {
    font-size: 1.7rem;
}
.homeServices .service p span {
    font-weight: 700;
}


/* PRODUCTS */
.productsBanner .subtitle {
    margin-bottom: 2rem;
}
.productsBanner img {
    max-width: 100%;
    margin-top: 2rem;
}
.products {
    display: flex;
    flex-direction: column;
    gap: 6rem;
    margin-top: 5rem;
    margin-bottom: 5rem;
}
.products .product {
    display: flex;
    flex-direction: column;
    border-left: 4px solid var(--estherRamos);
    padding-left: 3rem;
    gap: 2rem;
}
.products .product .productHeader {
    display: flex;
    align-items: center;
    gap: 2rem;
}
.products .product .productHeader img {
    height: 6rem;
}
.products .product .productHeader h2 {
    font-size: 1.8rem;
}
.products .product .productHeader h2 span {
    font-weight: 700;
}


/* ABOUT */
.aboutBanner {
    display: flex;
    align-items: center;
    margin-bottom: 4rem;
}
.aboutBanner img {
    max-width: 100%;
    max-height: 50rem;
    margin: 3rem auto 0;
}
.aboutDescription {
    text-align: center;
    margin-top: 5rem;
    margin-bottom: 5rem;
}
.aboutDescription p {
    font-size: 2.3rem;
}
.aboutDescription strong {
    font-weight: 700;
}
.aboutLinks {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 0 2rem;
    margin-bottom: 7rem;
}
.aboutLinks .partido {
    text-align: center;
    font-size: 2rem;
    padding: 3rem 1rem;
    width: calc(50% - 2rem);
}
.aboutLinks .partido .btn-estherRamos {
    background-color: var(--blanco);
    color: var(--estherRamos-claro);
    border: 1px solid var(--estherRamos-claro);
    border-radius: 10px;
    font-size: 1.6rem;
    margin-top: 1.5rem;
    padding: .8rem;
    display: flex;
    justify-content: center;
}
.aboutLinks .partido .btn-estherRamos:hover {
    background-color: var(--estherRamos-claro);
    color: var(--blanco);
}

/* CONTACT */
.contactBanner {
    background: linear-gradient(-180deg, rgba(6,86,128,1) 0%, rgba(31,146,206,1) 50%, #ffffff 50%);
    margin-bottom: 4rem;
}
.contactBanner .contactHeader {
    margin-bottom: 3rem;
}
.contactBanner .contactDetails {
    display: none;
}
.contactDetailsMobile {
    margin-top: 4rem;
}
.contactDetailsMobile h2,
.contactBanner .contactDetails h2 {
    font-weight: 700;
    font-size: 2.5rem;
}
.contactForm {
    background-color: var(--blanco);
    padding: 3rem;
    border: 1px solid var(--estherRamos);
}
.contactForm .formHeader {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 2rem;
}
.contactForm .formHeader h2 {
    font-size: 2.5rem;
}
.contactForm .formHeader img {
    height: 7rem;
}
.contactForm input:not(.btn-estherRamos),
.contactForm textarea {
    padding: .9rem;
    margin-bottom: 2rem;
    font-weight: 600;
    border: 1px solid var(--gris-oscuro);
    border-radius: 0;
}
.contactForm label {
    margin-bottom: .5rem;
}
.contactForm .custom-checkbox .checkmark {
    border: 1px solid var(--gris-oscuro);
}
.contactForm .custom-checkbox a {
    font-weight: 500;
}
.contactForm .btn-estherRamos {
    margin-top: 2rem;
}
.contactLinks {
    margin: 3rem 0;
}
.contactLinks li {
    display: flex;
    align-items: center;
    gap: 3rem;
    font-weight: 700;
    padding: 3rem 0;
    border-bottom: 1px solid var(--gris-medio);
}
.contactLinks li:last-child {
    border-bottom: 0;
}
.contactLinks li img {
    height: 4rem;
}
.contactLinks li a:hover {
    text-decoration: underline;
}
.contactLinks li span {
    font-weight: 500;
}
.map,
.map iframe {
    width: 100%;
}


/* POLITICAS */
.politicas main {
    font-size: 1.6rem;
    margin-bottom: 5rem;
}
.politicas main .banner {
    padding-bottom: 3rem;
    margin-bottom: 3rem;
}
.politicas main h1 {
    font-size: 3.5rem;
    font-family: "Merriweather", serif;
}
.politicas main h3 {
    font-size: 2.3rem;
    margin-top: 3rem;
    margin-bottom: 1.5rem;
}
.politicas main ul {
    margin-top: 0;
    margin-bottom: 9px;
    padding-left: 20px;
}
.politicas main ul li {
    list-style: disc;
}
.politicas main p {
    margin-bottom: 5px;
}
.politicas main hr {
    margin-top: 10px;
    margin-bottom: 10px;
    border: 0;
    border-top: #03b8dc;
}
.politicas main a:hover {
    text-decoration: underline;
}
.politicas main .table-container {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}
.politicas main .table {
    min-width: 900px;
}


/* MEDIA QUERIES */
@media (min-width: 576px) {
    .productsWrapper .productCard .imgWrapper {
        width: 50%;
    }
    .productsWrapper .productCard {
        width: 44%;
    }

    .homeDescription .description {
        grid-template-columns: 1fr 2fr;
        grid-template-rows: 1fr;
        padding: 3rem;
        justify-items: unset;
    }
}
@media screen and (min-width:768px) {
    .scrollup{
        bottom: 50px;
        right: 160px;
    }

    footer ul {
        flex-direction: row;
        gap: 3rem;
        height: 100%;
        width: 100%;
        margin-bottom: 3rem;
    }

    .products {
        flex-direction: row;
        flex-wrap: wrap;
        gap: 6rem 15rem;
        margin-top: 10rem;
        margin-bottom: 10rem;
    }
    .products .product {
        width: calc(50% - 8rem);
    }
    .products .product .productHeader h2 {
        font-size: 2rem;
    }
}
@media (min-width: 992px) {
    .container {
        width: calc(100% - 6rem) !important;
    }

    .subfooter .legal .legalLinks,
    .subfooter .legal .kitDigital {
        margin-bottom: 0;
        flex-direction: row;
    }

    .homeBanner {
        padding-bottom: 20rem;
    }
    h1 {
        font-size: 5rem;
    }
    .subtitle {
        font-size: 2rem;
    }
    .homeDescription .description {
        grid-template-columns: 1fr 1fr;
        padding: 5rem 8rem 2rem;
    }
    .homeServices {
        margin-top: 9rem;
    }
    .homeServices .col {
        gap: 5rem 12%;
        margin-top: -9rem;
    }
    .homeServices .service .imgWrapper {
        width: 18rem;
        height: 18rem;
    }
    .homeServices .service img {
        height: 9rem;
    }

    .contactForm {
        padding: 6rem;
    }
    .contactForm .btn-estherRamos {
        width: fit-content;
    }

    .productsBanner {
        flex-direction: row-reverse;
        align-items: flex-end;
    }
    .productsBanner .subtitle {
        margin-bottom: 7rem;
    }
    .productsBanner .col-xl-6:first-of-type {
        align-self: center;
    }
    
    .aboutLinks {
        gap: 4rem;
    }
    .aboutLinks .partido {
        width: 30%;
        font-size: 2.5rem;
    }
}
@media (min-width: 1200px) {
    header img.logo {
        height: 5rem;
    }
    header .offcanvas-xl {
        margin-left: auto;
    }
    header .offcanvas-xl .btn-close {
        display: none;
    }
    header .offcanvas-xl ul.menu {
        display: flex;
        gap: 6rem;
    }
    header .offcanvas-xl ul.menu li {
        padding-bottom: .5rem;
        border-bottom: 2px solid transparent;
    }
    header .offcanvas-xl ul.menu li a {
        font-size: 1.8rem;
        color: var(--blanco);
        padding: 0 .5rem;
    }
    header .offcanvas-xl ul.menu li:hover, header .offcanvas-xl ul.menu li.active {
        border-bottom: 2px solid var(--blanco);
    }
    header .offcanvas-xl .offCanvas-content {
        display: flex;
        flex-direction: column-reverse;
        align-items: flex-end;
    }
    header .openMenuIcon {
        display: none;
    }

    footer ul {
        gap: 3rem;
        margin-bottom: 0;
        font-size: 1.8rem;
    }
    footer a,
    footer a:active, footer a:focus, footer a:hover, footer a.active {
        font-size: 1.8rem;
    }
    .subfooter .legal {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        gap: 2rem;
    }

    .homeSubheader h2,
    .homeSubheader p {
        font-size: 3rem;
    }
    .homeServices .service {
        max-width: calc(25% - 15rem);
    }
    .homeServices .service p {
        font-size: 2rem;
    }

    .contactBanner {
        padding-top: 13rem;
        background: linear-gradient(-180deg, rgba(6,86,128,1) 0%, rgba(31,146,206,1) 50rem, #ffffff 50rem);
    }
    .contactBanner .contactHeader {
        height: 37rem; /* linear gradient - padding  */
    }
    .contactBanner .contactDetails {
        display: block;
        padding-top: 10rem;
    }
    .contactBanner .contactDetailsMobile {
        display: none;
    }
}
@media (min-width: 1400px) {
    footer ul {
        gap: 5rem;
    }
    .subfooter .legal .legalLinks {
        gap: 1rem 7rem;
    }
}

@media (max-width: 1199.9px) {
    header .offcanvas-xl {
        width: 80%;
        max-width: 55rem;
        overflow: auto;
        background-color: var(--blanco);
        padding: 4rem;
        display: flex;
        gap: 3rem;
    }
    header .offcanvas-xl .btn-close {
        width: 2em;
        height: 2em;
        min-height: 2em;
        background-size: 2em auto;
        opacity: 1;
        margin-bottom: 3rem;
    }
    header .offcanvas-xl ul li {
        font-size: 2rem;
        font-weight: 500;
        margin-bottom: 2rem;
        color: var(--negro);
    }
    header .offcanvas-xl ul:not(.language) li:hover, header .offcanvas-xl ul:not(.language) li.active {
        color: var(--estherRamos);
        border-bottom: 2px solid var(--estherRamos);
        padding-bottom: 0.7rem;
    }
    header .offcanvas-xl ul.language {
        margin-top: 3rem;
        display: grid;
        grid-template-columns: 3rem auto;
        grid-template-rows: auto auto;
    }
    header .offcanvas-xl ul.language .tel {
        grid-column: span 2;
    }
    header .offcanvas-xl ul.language li.active, header .offcanvas-xl ul.language li a:hover {
        color: var(--estherRamos);
    }
}
@media (max-width: 340px) {
    header .offcanvas-xl {
        width: 100%;
    }
}


